2016-09-28 06:23 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000835OpenFOAM[All Projects] Bugpublic2014-02-10 13:18
Reporterimmortality 
Assigned Tohenry 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
Product Version 
Target VersionFixed in Version 
Summary0000835: mistake equation in yPlusRAS command
Descriptionin the code of yPlusRAS command the equation that is used is for y-star not y-plus and this causes some troubles.
proposed to make another command for y-star and modify yPlusRAS command(I haven't tested for yPlusLES but probably it has the issue too)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002159

henry (manager)

The yPlusRAS command does not evaluate y+ directly but calls the yPlus function from the nut or mut BC.

~0002160

immortality (reporter)

Last edited: 2013-05-05 13:39

View 2 revisions

in mutkWallFunctionFvPatchScalarField the equation uses for y-plus is related to y-star not y-plus

y-star=pow(0.09,0.25)*sqr(k)*nearDist()/mu
y-plus=rho*u_star*y/mu which u*=aqrt(taw_w/rho)
y-star is related to turbulent kinetic energy while y-plus relates to friction velocity(that relates to wall skin friction in its own)
 
in the code of mut
:
forAll(mutw, faceI)
    {
        label faceCellI = patch().faceCells()[faceI];

        scalar yPlus =
            Cmu25*y[faceI]*sqrt(k[faceCellI])/(muw[faceI]/rhow[faceI]);

        if (yPlus > yPlusLam_)
        {
            mutw[faceI] = muw[faceI]*(yPlus*kappa_/log(E_*yPlus) - 1);
        }
    }
thanks.

~0002161

henry (manager)

Each nut/mut BC provides a consistent y+ function which takes into account the potentially extreme non-linear distribution of the near-wall velocity particularly for wall-functions. The simple nieve funcion for y+ using a simple estimate for the near-wall velocity gradient is appropriate for the laminar BC and for low-Re models in which the near-wall distributions are resolved.

~0002162

immortality (reporter)

that you tell is true.but when having separation regions or high adverse pressure gradients in wall its more accurate that we use finer mesh near wall so that y-plus be around 1 to resolve viscous sub layer.this way we can include wall phenomenas exactly in return of have a coarser mesh and use wall-functions instead.
so,its good to have a real yPlus postProcessing tool as well as yStar for those that want to use coarser mesh and wall-functions and need it with true name.
best regards.

~0002163

henry (manager)

Each nut/mut BC provides a consistent y+ function, for example compare the y+ functions in

nutkWallFunctionFvPatchScalarField

and

nutUWallFunctionFvPatchScalarField

Each provides a y+ function consistent with the wall-function formulation and hence the post-processing utility returns the y+ distribution used by and consistent with the wall-function.

~0002164

immortality (reporter)

the view is understandable in genaral.but I want to know the true yPlus in a turbulent kOmegaSST with yplus<=1 to be sure that separation regions and adverse pressure gradients are calculated and included truely not through some "wall-function rough estimations".
maybe someone dosen't want to use wall functions at all when he has a low-Re grid mesh.
I want "y plus" exactly and only "y plus" not "y star" or any other thing instead of "y plus".

~0002165

henry (manager)

> kOmegaSST with yplus<=1

You need a low-Re form of kOmegaSST which does not use wall-functions and the nut/mut BC of which will provide the consistent y+.

~0002166

immortality (reporter)

so is there such version of kOmegaSST in OpenFOAM?
if i understand correctly then you say if anyone use yPlusRAS(or yPlusLES) he/she get an appropriate and correct value of y-plus regardless of using wall-functions or not(even if wall functions are not implemented it works well).is it so?
are you intending y-star values are a good estimate for y-plus values in all situations,or i'm wrong?

~0002167

henry (manager)

We have not yet been sponsored to implement a low-Re version of kOmegaSST but we have implemented kkLOmega which is a low-Re k-omega model with support for transision. If you would like us to implement a low-Re version of kOmegaSST for you contact us via enquiries and we can discuss a contract to cover it. We would also implement appropriate BCs and the correspending y+ function for post-processing.

~0002168

immortality (reporter)

is kkLOmega suitable for internal flow with a finer mesh near the wall and regions far the wall?
I did an enquiry.
thank you.

~0002169

henry (manager)

Low Reynolds-number k-kl-omega turbulence model for
    incompressible flows.

    Turbulence model described in:
    \verbatim
        D. Keith Walters, Davor Cokljat
        "A Three-Equation Eddy-Viscosity Model for Reynold-Averaged
        Navier-Stokes Simulations of Transitional Flow"
    \endverbatim

    J. Fluids Eng. 130(12), 121401 (Oct 24, 2008)
+Notes

-Issue History
Date Modified Username Field Change
2013-05-05 12:44 immortality New Issue
2013-05-05 12:54 henry Note Added: 0002159
2013-05-05 12:54 henry Status new => closed
2013-05-05 12:54 henry Assigned To => henry
2013-05-05 12:54 henry Resolution open => no change required
2013-05-05 13:34 immortality Note Added: 0002160
2013-05-05 13:34 immortality Status closed => feedback
2013-05-05 13:34 immortality Resolution no change required => reopened
2013-05-05 13:39 immortality Note Edited: 0002160 View Revisions
2013-05-05 14:23 henry Note Added: 0002161
2013-05-05 14:23 henry Status feedback => closed
2013-05-05 14:23 henry Resolution reopened => no change required
2013-05-05 14:47 immortality Note Added: 0002162
2013-05-05 14:47 immortality Status closed => feedback
2013-05-05 14:47 immortality Resolution no change required => reopened
2013-05-05 15:00 henry Note Added: 0002163
2013-05-05 15:00 henry Status feedback => closed
2013-05-05 15:00 henry Resolution reopened => fixed
2013-05-05 16:19 immortality Note Added: 0002164
2013-05-05 16:19 immortality Status closed => feedback
2013-05-05 16:19 immortality Resolution fixed => reopened
2013-05-05 16:24 henry Note Added: 0002165
2013-05-05 16:24 henry Status feedback => closed
2013-05-05 16:24 henry Resolution reopened => no change required
2013-05-05 18:01 immortality Note Added: 0002166
2013-05-05 18:01 immortality Status closed => feedback
2013-05-05 18:01 immortality Resolution no change required => reopened
2013-05-05 18:37 henry Note Added: 0002167
2013-05-05 18:37 henry Status feedback => closed
2013-05-05 18:37 henry Resolution reopened => no change required
2013-05-05 19:33 immortality Note Added: 0002168
2013-05-05 19:33 immortality Status closed => feedback
2013-05-05 19:33 immortality Resolution no change required => reopened
2013-05-05 19:37 henry Note Added: 0002169
2013-05-05 19:37 henry Status feedback => closed
2013-05-05 19:37 henry Resolution reopened => no change required
+Issue History